GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.DepositService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
String | getPlaceOfDeposit ()
void | setPlaceOfDeposit (String value)

## Protected Attributes
String | serviceName
String | placeOfDeposit

## Detailed Description

Deposit service attributes

Java class for DepositService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="DepositService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="PlaceOfDeposit" type="{http://fpcs.gls-group.eu/v1/Common}Description"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 39 of file DepositService.java.

## Member Function Documentation

## ◆ getPlaceOfDeposit()

String eu.gls_group.fpcs.v1.common.DepositService.getPlaceOfDeposit | ( |  | ) |

Gets the value of the placeOfDeposit property.

Returns
  possible object is String

Definition at line 78 of file DepositService.java.

## ◆ getServiceName()

String eu.gls_group.fpcs.v1.common.DepositService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 54 of file DepositService.java.

## ◆ setPlaceOfDeposit()

void eu.gls_group.fpcs.v1.common.DepositService.setPlaceOfDeposit | ( | String | value | ) |

Sets the value of the placeOfDeposit property.

Parameters

  value | allowed object is String

Definition at line 90 of file DepositService.java.

## ◆ setServiceName()

void eu.gls_group.fpcs.v1.common.DepositService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 66 of file DepositService.java.

## Member Data Documentation

## ◆ placeOfDeposit

String eu.gls_group.fpcs.v1.common.DepositService.placeOfDeposit
| protected

Definition at line 44 of file DepositService.java.

## ◆ serviceName

String eu.gls_group.fpcs.v1.common.DepositService.serviceName
| protected

Definition at line 42 of file DepositService.java.

The documentation for this class was generated from the following file:

- DepositService.java